groovy.util

## Interface ObjectGraphBuilder.NewInstanceResolver

All Known Implementing Classes:
  ObjectGraphBuilder.DefaultNewInstanceResolver

Enclosing class:
  ObjectGraphBuilder

    public static interface ObjectGraphBuilder.NewInstanceResolver

Strategy for creating new instances of a class.
Useful for plug-in calls to non-default constructors.

### Method Summary

Methods
`Object` `newInstance(Class klass, Map attributes)` Create a new instance of Class klass.

### Method Detail

#### newInstance

    Object newInstance(Class klass,
                     Map attributes)
                       throws InstantiationException,
                              IllegalAccessException

Create a new instance of Class klass.

Parameters:
  `klass` - the resolved class name
  `attributes` - the attribute Map available for the node
Throws:
  `InstantiationException`
  `IllegalAccessException`